#!/usr/bin/env python
''' sprite.py
    a sprite base class
'''

import pygame

class sprite():
    ''' a sprite class
        pic = pygame surface
        x = sprite x position on map
        y = sprite y position on map
    '''
    def __init__(self, pic, x=0, y=0, layer=0):
        self.x = x
        self.y = y
        self.pic = pic
        self.layer = layer
    
    def setLayer(layer):
        ''' set the layer of the sprite on the screen '''
        self.layer = layer